package ass.excercises.cvi7.demo3;

import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.HashMap;
import java.util.Map;

public class PathNormalization {

	public static void main(String[] args) {
		Map<String, String> map = new HashMap<>();
		map.put(normPath(Paths.get("helloworld.txt")), "a");
		
		System.out.println(map.get(normPath(Paths.get("helloworld.txt"))));
		System.out.println(map.get(normPath(Paths.get("./helloworld.txt"))));
		System.out.println(map.get(normPath(Paths.get("../cvi7/helloworld.txt"))));
	}

	public static String normPath(Path p) {
		return p.toAbsolutePath().normalize().toString();
	}
	
}
