package ass.excercises.cvi7.demo4;

import io.reactivex.netty.protocol.http.server.HttpServer;
import io.reactivex.netty.protocol.http.server.HttpServerBuilder;


import io.reactivex.netty.protocol.http.server.HttpServerRequest;
import io.reactivex.netty.protocol.http.server.HttpServerResponse;

import java.io.IOException;
import java.io.UncheckedIOException;
import java.nio.file.Files;
import java.nio.file.Paths;





import org.apache.commons.lang3.RandomStringUtils;
import org.apache.commons.lang3.RandomUtils;

import rx.Observable;
import javaslang.control.Try;

public class DynamicServer {
	
	private static SlowRandomService randService = new SlowRandomService();
	
	public static void main(String[] args) {
		HttpServer<String, String> server = new HttpServerBuilder<String, String>(ServerConfig.SERVER_PORT, 
        		(req, resp) -> {
        			StringBuilder response = new StringBuilder();
        			response.append("<h1>Dynamic application</h1>");
        			response.append("<h2>Random string: "+randService.randomAlhpa()+"</h2>");
        			response.append("<h2>Random alphanum: "+randService.randomAlhpaNum()+"</h2>");
        			response.append("<h2>Random num: "+randService.randomNum()+"</h2>");
        			return resp.writeAndFlush(response.toString());
        		}
        ).build();

		server.startAndWait();
	}
	
}
